Erstellt oder aktualisiert einen Synchronisierungs-Agent.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/syncAgents/{syncAgentName}?api-version=2025-01-01
URI-Parameter
| Name |
In |
Erforderlich |
Typ |
Beschreibung |
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet.
|
|
serverName
|
path |
True
|
string
|
Name des Servers
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Die ID des Zielabonnements. Der Wert muss eine UUID sein.
|
|
syncAgentName
|
path |
True
|
string
|
Der Name des Synchronisierungs-Agents.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Die API-Version, die für diesen Vorgang verwendet werden soll.
|
Anforderungstext
| Name |
Typ |
Beschreibung |
|
properties.syncDatabaseId
|
string
|
ARM-Ressourcen-ID der Synchronisierungsdatenbank im Synchronisierungs-Agent.
|
Antworten
| Name |
Typ |
Beschreibung |
|
200 OK
|
SyncAgent
|
Die Aktualisierungsoperation der Ressource 'SyncAgent' war erfolgreich
|
|
201 Created
|
SyncAgent
|
Die Erstellungsoperation der Ressource 'SyncAgent' war erfolgreich
Header
- Location: string
- Retry-After: integer
|
|
202 Accepted
|
|
Ressourcenvorgang akzeptiert.
Header
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Unerwartete Fehlerantwort.
|
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name |
Beschreibung |
|
user_impersonation
|
Identitätswechsel ihres Benutzerkontos
|
Beispiele
Create a new sync agent
Beispielanforderung
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187?api-version=2025-01-01
{
"properties": {
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"
}
}
import com.azure.resourcemanager.sql.fluent.models.SyncAgentInner;
/**
* Samples for SyncAgents CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/SyncAgentCreate.json
*/
/**
* Sample code: Create a new sync agent.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createANewSyncAgent(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getSyncAgents().createOrUpdate("syncagentcrud-65440", "syncagentcrud-8475",
"syncagentcrud-3187",
new SyncAgentInner().withSyncDatabaseId(
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python sync_agent_create.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.sync_agents.begin_create_or_update(
resource_group_name="syncagentcrud-65440",
server_name="syncagentcrud-8475",
sync_agent_name="syncagentcrud-3187",
parameters={
"properties": {
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/SyncAgentCreate.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a sync agent.
*
* @summary creates or updates a sync agent.
* x-ms-original-file: 2025-01-01/SyncAgentCreate.json
*/
async function createANewSyncAgent() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.syncAgents.createOrUpdate(
"syncagentcrud-65440",
"syncagentcrud-8475",
"syncagentcrud-3187",
{
syncDatabaseId:
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/SyncAgentCreate.json
// this example is just showing the usage of "SyncAgents_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SyncAgentResource created on azure
// for more information of creating SyncAgentResource, please refer to the document of SyncAgentResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "syncagentcrud-65440";
string serverName = "syncagentcrud-8475";
string syncAgentName = "syncagentcrud-3187";
ResourceIdentifier syncAgentResourceId = SyncAgentResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, syncAgentName);
SyncAgentResource syncAgent = client.GetSyncAgentResource(syncAgentResourceId);
// invoke the operation
SyncAgentData data = new SyncAgentData
{
SyncDatabaseId = new ResourceIdentifier("/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"),
};
ArmOperation<SyncAgentResource> lro = await syncAgent.UpdateAsync(WaitUntil.Completed, data);
SyncAgentResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SyncAgentData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "syncagent",
"type": "Microsoft.Sql/servers/syncAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
"properties": {
"expiryTime": "9999-12-31T23:59:59.9999999Z",
"isUpToDate": true,
"state": "NeverConnected",
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
"version": "4.2.0.0"
}
}
{
"name": "syncagent",
"type": "Microsoft.Sql/servers/syncAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
"properties": {
"expiryTime": "9999-12-31T23:59:59.9999999Z",
"isUpToDate": true,
"state": "NeverConnected",
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
"version": "4.2.0.0"
}
}
Update a sync agent
Beispielanforderung
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187?api-version=2025-01-01
{
"properties": {
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"
}
}
import com.azure.resourcemanager.sql.fluent.models.SyncAgentInner;
/**
* Samples for SyncAgents CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/SyncAgentUpdate.json
*/
/**
* Sample code: Update a sync agent.
*
* @param manager Entry point to SqlServerManager.
*/
public static void updateASyncAgent(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getSyncAgents().createOrUpdate("syncagentcrud-65440", "syncagentcrud-8475",
"syncagentcrud-3187",
new SyncAgentInner().withSyncDatabaseId(
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python sync_agent_update.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.sync_agents.begin_create_or_update(
resource_group_name="syncagentcrud-65440",
server_name="syncagentcrud-8475",
sync_agent_name="syncagentcrud-3187",
parameters={
"properties": {
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/SyncAgentUpdate.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a sync agent.
*
* @summary creates or updates a sync agent.
* x-ms-original-file: 2025-01-01/SyncAgentUpdate.json
*/
async function updateASyncAgent() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.syncAgents.createOrUpdate(
"syncagentcrud-65440",
"syncagentcrud-8475",
"syncagentcrud-3187",
{
syncDatabaseId:
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/SyncAgentUpdate.json
// this example is just showing the usage of "SyncAgents_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SyncAgentResource created on azure
// for more information of creating SyncAgentResource, please refer to the document of SyncAgentResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "syncagentcrud-65440";
string serverName = "syncagentcrud-8475";
string syncAgentName = "syncagentcrud-3187";
ResourceIdentifier syncAgentResourceId = SyncAgentResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, syncAgentName);
SyncAgentResource syncAgent = client.GetSyncAgentResource(syncAgentResourceId);
// invoke the operation
SyncAgentData data = new SyncAgentData
{
SyncDatabaseId = new ResourceIdentifier("/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync"),
};
ArmOperation<SyncAgentResource> lro = await syncAgent.UpdateAsync(WaitUntil.Completed, data);
SyncAgentResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SyncAgentData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Beispiel für eine Antwort
{
"name": "syncagent",
"type": "Microsoft.Sql/servers/syncAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
"properties": {
"expiryTime": "9999-12-31T23:59:59.9999999Z",
"isUpToDate": true,
"state": "NeverConnected",
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
"version": "4.2.0.0"
}
}
{
"name": "syncagent",
"type": "Microsoft.Sql/servers/syncAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
"properties": {
"expiryTime": "9999-12-31T23:59:59.9999999Z",
"isUpToDate": true,
"state": "NeverConnected",
"syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
"version": "4.2.0.0"
}
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/westus/operation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview
Definitionen
createdByType
Enumeration
Der Identitätstyp, der die Ressource erstellt hat.
| Wert |
Beschreibung |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Objekt
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name |
Typ |
Beschreibung |
|
info
|
object
|
Die zusätzlichen Informationen.
|
|
type
|
string
|
Der zusätzliche Informationstyp.
|
ErrorDetail
Objekt
Das Fehlerdetails.
| Name |
Typ |
Beschreibung |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Die zusätzlichen Informationen des Fehlers.
|
|
code
|
string
|
Der Fehlercode.
|
|
details
|
ErrorDetail[]
|
Die Fehlerdetails.
|
|
message
|
string
|
Die Fehlermeldung.
|
|
target
|
string
|
Das Fehlerziel.
|
ErrorResponse
Objekt
Fehlerantwort
| Name |
Typ |
Beschreibung |
|
error
|
ErrorDetail
|
Das Fehlerobjekt.
|
SyncAgent
Objekt
Ein Azure SQL-Datenbank Sync Agent.
| Name |
Typ |
Beschreibung |
|
id
|
string
(arm-id)
|
Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Der Name der Ressource
|
|
properties.expiryTime
|
string
(date-time)
|
Ablaufzeit der Synchronisierungs-Agent-Version.
|
|
properties.isUpToDate
|
boolean
|
Wenn die Synchronisierungs-Agent-Version auf dem neuesten Stand ist.
|
|
properties.lastAliveTime
|
string
(date-time)
|
Letzte Alive-Zeit des Synchronisierungs-Agents.
|
|
properties.name
|
string
|
Name des Synchronisierungs-Agents.
|
|
properties.state
|
SyncAgentState
|
Status des Synchronisierungs-Agents.
|
|
properties.syncDatabaseId
|
string
|
ARM-Ressourcen-ID der Synchronisierungsdatenbank im Synchronisierungs-Agent.
|
|
properties.version
|
string
|
Version des Synchronisierungs-Agents.
|
|
systemData
|
systemData
|
Azure Resource Manager-Metadaten, die createdBy und modifiedBy-Informationen enthalten.
|
|
type
|
string
|
Der Typ der Ressource. Zum Beispiel "Microsoft. Compute/virtualMachines" oder "Microsoft. Speicher/Speicherkonten"
|
SyncAgentState
Enumeration
Status des Synchronisierungs-Agents.
| Wert |
Beschreibung |
|
Online
|
Online
|
|
Offline
|
Offline
|
|
NeverConnected
|
NieVerbunden
|
systemData
Objekt
Metadaten zur Erstellung und letzten Änderung der Ressource.
| Name |
Typ |
Beschreibung |
|
createdAt
|
string
(date-time)
|
Der Zeitstempel der Ressourcenerstellung (UTC).
|
|
createdBy
|
string
|
Die Identität, die die Ressource erstellt hat.
|
|
createdByType
|
createdByType
|
Der Identitätstyp, der die Ressource erstellt hat.
|
|
lastModifiedAt
|
string
(date-time)
|
Der Zeitstempel der letzten Änderung der Ressource (UTC)
|
|
lastModifiedBy
|
string
|
Die Identität, die die Ressource zuletzt geändert hat.
|
|
lastModifiedByType
|
createdByType
|
Der Identitätstyp, der die Ressource zuletzt geändert hat.
|